package intrinsic.mx.events;

public class MenuEvent extends intrinsic.mx.events.ListEvent {

	/** Accessors */

	/** Variables */
	public String label;
	public intrinsic.mx.controls.Menu menu;
	public Object item;
	public int index;
	public intrinsic.mx.controls.MenuBar menuBar;
	public int columnIndex;
	public intrinsic.mx.controls.listClasses.IListItemRenderer itemRenderer;
	public String reason;
	public int rowIndex;

	/** Constants */
	public static final String ITEM_ROLL_OVER = "item_roll_over";
	public static final String CHANGE = "change";
	public static final String MENU_SHOW = "menu_show";
	public static final String ITEM_CLICK = "item_click";
	public static final String ITEM_ROLL_OUT = "item_roll_out";
	public static final String MENU_HIDE = "menu_hide";
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public MenuEvent() {
}

public MenuEvent(String arg0) {
}

public MenuEvent(String arg0, boolean arg1) {
}

public MenuEvent(String arg0, boolean arg1, boolean arg2) {
}

public MenuEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.controls.MenuBar arg3) {
}

public MenuEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.controls.MenuBar arg3, intrinsic.mx.controls.Menu arg4) {
}

public MenuEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.controls.MenuBar arg3, intrinsic.mx.controls.Menu arg4, Object arg5) {
}

public MenuEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.controls.MenuBar arg3, intrinsic.mx.controls.Menu arg4, Object arg5, intrinsic.mx.controls.listClasses.IListItemRenderer arg6) {
}

public MenuEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.controls.MenuBar arg3, intrinsic.mx.controls.Menu arg4, Object arg5, intrinsic.mx.controls.listClasses.IListItemRenderer arg6, String arg7) {
}

public MenuEvent(String arg0, boolean arg1, boolean arg2, intrinsic.mx.controls.MenuBar arg3, intrinsic.mx.controls.Menu arg4, Object arg5, intrinsic.mx.controls.listClasses.IListItemRenderer arg6, String arg7, int arg8) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
